## sentinella 0.7.3

=== src/CMakeLists.txt ===

find_package(KDE4Workspace)
if(NOT KDE4Workspace_FOUND)
	message(FATAL_ERROR "No KDE Workspace development package found.")
endif(NOT KDE4Workspace_FOUND)

include_directories(${KDE4_INCLUDES})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

file(GLOB_RECURSE Sentinella_SRCS *.cpp)
file(GLOB Sentinella_UIS *.ui)

kde4_add_ui_files(Sentinella_SRCS ${Sentinella_UIS})
kde4_add_executable(sentinella ${Sentinella_SRCS})

	# Remember to periodically link with the parameter -Wl,--no-add-needed to check if there are missing libraries in the list below (https://fedoraproject.org/wiki/UnderstandingDSOLinkChange)
target_link_libraries(sentinella -Wl,--as-needed sysactivity ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDE4_PHONON_LIBS} processui ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS})
install(TARGETS sentinella DESTINATION bin)

	# Installing desktop file
install(FILES sentinella.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
sentinella (0.7.3-2) unstable; urgency=low

  * Backported fix for a memory leak with some actions.
  * Bumped Standards-Versions to 3.9.1 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Tue, 03 Aug 2010 12:04:25 +0200

sentinella (0.7.3-1) unstable; urgency=low

  * New upstream release.

 -- Niels Thykier <niels@thykier.net>  Sat, 24 Jul 2010 21:44:09 +0200

sentinella (0.7.2-1) unstable; urgency=low

  [Niels Thykier]

  * New upstream release.
    - Fixes FTBFS with kdebase-workspace (>= 4:4.4.90).
  * Dropped all patches - all applied upstream or no longer relevant.
  * Pre-generate xpm icon to avoid diff with Ubuntu (Build-Depends
    would be different between the distributions).
    - Remove Build-Depends on imagemagick and librsvg2-bin
  * Removed "--as-needed" linker flag in debian/rules - upstream build
    uses it now.
  * Corrected debian/copyright - images/icons are also under
    CC-BY-SA-3.0.
  * Bumped Standards-Version to 3.9.0 - no changes required.
  * Change the description a bit.


  [René Mayorga]

  * Add DM-Upload-Allowed: yes

 -- Niels Thykier <niels@thykier.net>  Sat, 17 Jul 2010 09:39:58 +0200

sentinella (0.6.2-1ubuntu2) maverick; urgency=low

  * Added patch to make sentinella work with the kdebase-workspace
    (>= 4:4.4.90)

 -- Niels Thykier <niels@thykier.net>  Thu, 01 Jul 2010 16:22:24 +0200

sentinella (0.6.2-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #599270). New changes:
    Build-Depend on libmagickcore2-extra for icon generation, as Ubuntu's
    imagemagick isn't linked against librsvg.

 -- Niels Thykier <niels@thykier.net>  Mon, 28 Jun 2010 21:54:59 +0200

sentinella (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Removed patches applied upstream.
  * Pulled patch from upstreams CVS to fix a leak caused by the wrong
    close function was called.
    - This also fixes a FTBFS on kFreeBSD. (Closes: #586548)
  * Pulled patch from upstreams CVS to fix a leak in some Conditions
    if an error occured.
  * Fixed a formatting issue in debian/copyright.

 -- Niels Thykier <niels@thykier.net>  Sun, 20 Jun 2010 16:04:47 +0200

sentinella (0.6.1-1) unstable; urgency=low

  * Initial release. (Closes: #577591)

 -- Niels Thykier <niels@thykier.net>  Fri, 28 May 2010 18:05:20 +0200

=== debian/control ===
Source: sentinella
Section: kde
Priority: optional
Maintainer: Niels Thykier <niels@thykier.net>
DM-Upload-Allowed: yes
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               help2man,
               kdebase-workspace-dev (>= 4:4.4),
               kdelibs-bin (>= 4:4.4),
               kdelibs5-dev (>= 4:4.4),
               libsysactivity-dev
Standards-Version: 3.9.1
Homepage: http://sourceforge.net/projects/sentinella/
Vcs-Git: git://git.debian.org/collab-maint/sentinella.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sentinella.git

Package: sentinella
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System monitor that can react to user chosen conditions
 While monitoring your CPU, memory, hard drive and network usage,
 Sentinella can be programmed to take specific actions when setpoints
 for utilization or time are met. It can power off, reboot or hibernate
 your system, kill an active process, throw an alarm or execute any
 command.
 .
 It can measure the following conditions:
   - CPU load
   - Memory used
   - Network traffic
   - Date and time
   - The existence of a process
 .
 And the possible actions are:
   - Shutdown/Reboot the computer
   - Standby/Suspend/Hibernate
   - Execute a command
   - Play an alarm
   - Kill a process

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | grep Version | sed s/.*://)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS)" \
				-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined" \
				-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined" \
				-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined" \
				-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
				-DCMAKE_SKIP_RPATH:BOOL=ON

override_dh_install:
	dh_install
	# Generate manpage
	help2man --no-info --version-string="$(VERSION)" \
		--name='System monitor that can react to user chosen conditions' \
		debian/sentinella/usr/bin/sentinella > sentinella.1

=== debian/watch ===
version=3
http://sf.net/sentinella/Sentinella-([\d\.]+)\.tar\.gz

## sentinella 0.8.0

=== src/CMakeLists.txt ===

find_package(libsysactivity)
if(NOT libsysactivity_FOUND)
	message(FATAL_ERROR "No libsysactivity development package found.")
endif(NOT libsysactivity_FOUND)

find_package(KDE4Workspace)
if(NOT KDE4Workspace_FOUND)
	message(FATAL_ERROR "No KDE Workspace development package found.")
endif(NOT KDE4Workspace_FOUND)

include_directories(${KDE4_INCLUDES})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

file(GLOB_RECURSE Sentinella_SRCS *.cpp)
file(GLOB Sentinella_UIS *.ui)
kde4_add_ui_files(Sentinella_SRCS ${Sentinella_UIS})

	# Adding compiler and linker flags
add_definitions(-fno-rtti)
	# Checking if the -Wlogical-op flag is available
include(CheckCCompilerFlag)
check_c_compiler_flag("-Wlogical-op" HAS_LOGICAL_OP_FLAG)
if (HAS_LOGICAL_OP_FLAG)
	add_definitions(-Wlogical-op)
endif (HAS_LOGICAL_OP_FLAG)
	# Adding the -flto flag to the compiler and linker when available
check_c_compiler_flag("-flto" HAS_FLTO_FLAG)
if (HAS_FLTO_FLAG)
	add_definitions(-flto)
	list(APPEND CMAKE_SHARED_LINKER_FLAGS "-flto")
endif (HAS_FLTO_FLAG)

	# Adding debug flags
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wextra")

kde4_add_executable(sentinella ${Sentinella_SRCS})

	# Remember to periodically link with the parameter -Wl,--no-add-needed to check if there are missing libraries in the list below (https://fedoraproject.org/wiki/UnderstandingDSOLinkChange)
	# NEXT VERSION: REMOVE -lsysactivity!! USE ${LIBSYSACTIVITY_LIBRARY}
target_link_libraries(sentinella -Wl,--as-needed -lsysactivity ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDE4_PHONON_LIBS} processui ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS})
install(TARGETS sentinella DESTINATION bin)

	# Installing desktop file
install(FILES sentinella.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
sentinella (0.8.0-1) unstable; urgency=low

  * New upstrema release.
  * Added --no-add-needed,--as-needed to linker flags.
  * Removed a space from the version passed to help2man.

 -- Niels Thykier <niels@thykier.net>  Fri, 18 Feb 2011 11:13:01 +0100

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | grep Version | sed "s/.*: //")

LINKER_FLAGS:=-Wl,--no-undefined,--no-add-needed,--as-needed $(LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS)" \
				-DCMAKE_SHARED_LINKER_FLAGS="$(LINKER_FLAGS)" \
				-DCMAKE_MODULE_LINKER_FLAGS="$(LINKER_FLAGS)" \
				-DCMAKE_EXE_LINKER_FLAGS="$(LINKER_FLAGS)" \
				-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
				-DCMAKE_SKIP_RPATH:BOOL=ON

override_dh_install:
	dh_install
	# Generate manpage
	help2man --no-info --version-string="$(VERSION)" \
		--name='System monitor that can react to user chosen conditions' \
		debian/sentinella/usr/bin/sentinella > sentinella.1

## sentinella 0.9.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-find_package(libsysactivity)
+find_package(libsysactivity 0.6.0)
 if(NOT libsysactivity_FOUND)
 	message(FATAL_ERROR "No libsysactivity development package found.")
 endif(NOT libsysactivity_FOUND)
@@ -37,8 +37,7 @@
 kde4_add_executable(sentinella ${Sentinella_SRCS})
 
 	# Remember to periodically link with the parameter -Wl,--no-add-needed to check if there are missing libraries in the list below (https://fedoraproject.org/wiki/UnderstandingDSOLinkChange)
-	# NEXT VERSION: REMOVE -lsysactivity!! USE ${LIBSYSACTIVITY_LIBRARY}
-target_link_libraries(sentinella -Wl,--as-needed -lsysactivity ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDE4_PHONON_LIBS} processui ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS})
+target_link_libraries(sentinella -Wl,--as-needed ${LIBSYSACTIVITY_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDE4_PHONON_LIBS} processui ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS})
 install(TARGETS sentinella DESTINATION bin)
 
 	# Installing desktop file

=== debian/changelog ===
sentinella (0.9.0-3) unstable; urgency=low

  * Use buildflags.mk from dpkg-dev to set compiler and linker
    flags.
    - This enables hardning flags.
  * Bumped debhelper compat to 8.
  * Bumped DEP-5 revision.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Nov 2011 15:25:45 +0100

sentinella (0.9.0-2) unstable; urgency=low

  * Fixed a missing anchor in a regular expression that caused it
    to add garbage to the manpage.
  * Imported patch from upstream to fix two broken if-statements.

 -- Niels Thykier <niels@thykier.net>  Fri, 29 Jul 2011 10:47:40 +0200

sentinella (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Fixed typo in the previous changelog entry.
  * Dropped DMUA flag, no longer needed.
  * Bumped Standards-Version to 3.9.2 - no changes required.
  * Added versioned B-D on libsysactivity.
  * Disabled upstream's use of -flto as it tends to create binaries
    with an executable stack.

 -- Niels Thykier <niels@thykier.net>  Tue, 26 Jul 2011 11:49:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: kde
 Priority: optional
 Maintainer: Niels Thykier <niels@thykier.net>
-DM-Upload-Allowed: yes
 Build-Depends: cmake,
-               debhelper (>= 7.0.50~),
+               debhelper (>= 8~),
+               dpkg-dev (>= 1.16.1~),
                help2man,
                kdebase-workspace-dev (>= 4:4.4),
                kdelibs-bin (>= 4:4.4),
                kdelibs5-dev (>= 4:4.4),
-               libsysactivity-dev
-Standards-Version: 3.9.1
+               libsysactivity-dev (>= 0.6.2~)
+Standards-Version: 3.9.2
 Homepage: http://sourceforge.net/projects/sentinella/
 Vcs-Git: git://git.debian.org/collab-maint/sentinella.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sentinella.git

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | grep ^Version | sed "s/.*: //")

DEB_LDFLAGS_MAINT_APPEND=-Wl,--no-add-needed,--as-needed,--no-undefined

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS)" \
				-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
				-DCMAKE_MODULE_LINKER_FLAGS="$(LDFLAGS)" \
				-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
				-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
				-DCMAKE_SKIP_RPATH:BOOL=ON -DHAS_FLTO_FLAG:BOOL=OFF

override_dh_install:
	dh_install
	# Generate manpage
	help2man --no-info --version-string="$(VERSION)" \
		--name='System monitor that can react to user chosen conditions' \
		debian/sentinella/usr/bin/sentinella > sentinella.1

## sentinella 0.9.1

=== debian/changelog ===
sentinella (0.9.1-3) experimental; urgency=low

  * New patches:
      - logind: modifies source code to operate using logind
        instead ConsoleKit (deprecated upstream). Thanks to
        Iain Lane <laney@debian.org>. (Closes: #706584)
      - sentinella.desktop: creates Keyword category in desktop file.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 03 Jun 2013 16:19:50 -0300

sentinella (0.9.1-2) unstable; urgency=low

  * New maintainer. (Closes: #707649)
  * Added as co-maintainer: Niels Thykier <niels@thykier.net>. Thanks a
    lot for your nice work over this package.
  * Bumped debhelper compat level from 8 to 9.
  * Uploaded to unstable.
  * debian/copyright:
      - Updated maintainers list and dates.
      - Updated translators list and dates.
  * debian/rules: enabled parallel build.
  * debian/watch: fixed.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 20 May 2013 09:42:44 -0300

sentinella (0.9.1-1) experimental; urgency=low

  * New upstream release.
    - Drop patch cherry-picked in 0.9.0-2.
  * Use an absolute path to the icon in the Debian menu file.
  * Use the canonical URLs for the Vcs-* fields in debian/control
    file.
  * Bump Standards-Versions to 3.9.4
    - Use the new URI for the DEP-5 copyright format.

 -- Niels Thykier <niels@thykier.net>  Sat, 23 Feb 2013 09:59:27 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS)" \
@@ -23,4 +23,3 @@
 	help2man --no-info --version-string="$(VERSION)" \
 		--name='System monitor that can react to user chosen conditions' \
 		debian/sentinella/usr/bin/sentinella > sentinella.1
-

=== debian/watch ===
version=3
http://sf.net/sentinella/[sS]entinella-([\d\.]+)\.tar\.gz

## sentinella 0.9.2

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6.0)

project(Sentinella)
set(CMAKE_VERBOSE_MAKEFILE TRUE)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
	set(CMAKE_INSTALL_PREFIX "/usr")
	message(STATUS "CMAKE_INSTALL_PREFIX is not set, using default value: ${CMAKE_INSTALL_PREFIX}")
endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

if (NOT DEFINED LOCALE_INSTALL_DIR)
	set(LOCALE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/locale/")
	message(STATUS "LOCALE_INSTALL_DIR is not set, using default value: ${LOCALE_INSTALL_DIR}")
endif (NOT DEFINED LOCALE_INSTALL_DIR)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_subdirectory(src)
add_subdirectory(po)
add_subdirectory(sounds)
add_subdirectory(images)

=== images/CMakeLists.txt ===

kde4_install_icons(${ICON_INSTALL_DIR})

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE("NOTE: msgfmt not found. Translations will *not* be installed")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
	SET(catalogname sentinella)
	ADD_CUSTOM_TARGET(translations ALL)
	FILE(GLOB PO_FILES *.po)

	FOREACH(_poFile ${PO_FILES})
		GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
		STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName})
		STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode})

		IF(_langCode)
			GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
			SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

			ADD_CUSTOM_COMMAND(TARGET translations
				COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
				DEPENDS ${_poFile})
			INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
		ENDIF(_langCode)

	ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== sounds/CMakeLists.txt ===

find_package(KDE4 REQUIRED) # Needed for KDE4_SOUND_INSTALL_DIR

file(GLOB Sentinella_SOUNDS *.ogg *.wav *.aif *.flac)
install(FILES ${Sentinella_SOUNDS} DESTINATION ${KDE4_SOUND_INSTALL_DIR}/Sentinella)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-find_package(libsysactivity 0.6.0)
+find_package(libsysactivity 0.6.5)
 if(NOT libsysactivity_FOUND)
 	message(FATAL_ERROR "No libsysactivity development package found.")
 endif(NOT libsysactivity_FOUND)
@@ -24,15 +24,15 @@
 if (HAS_LOGICAL_OP_FLAG)
 	add_definitions(-Wlogical-op)
 endif (HAS_LOGICAL_OP_FLAG)
-	# Adding the -flto flag to the compiler and linker when available
+
+	# Adding release flags
 check_c_compiler_flag("-flto" HAS_FLTO_FLAG)
 if (HAS_FLTO_FLAG)
-	add_definitions(-flto)
-	list(APPEND CMAKE_SHARED_LINKER_FLAGS "-flto")
+	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -flto") # I just want FLTO to be used on release builds because "Combining -flto with -g is currently experimental and expected to produce wrong results."
 endif (HAS_FLTO_FLAG)
 
 	# Adding debug flags
-set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wextra")
+set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wextra")
 
 kde4_add_executable(sentinella ${Sentinella_SRCS})

=== debian/changelog ===
sentinella (0.9.2-3) unstable; urgency=low

  * debian/clean: removed sentinella.xpm.
  * debian/rules: added CPPFLAGS to dh_auto_configure to fix the
    compilation and avoid the dpkg-buildflags-missing warning in PTS.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Wed, 23 Oct 2013 09:45:59 -0200

sentinella (0.9.2-2) unstable; urgency=low

  * ERRATA for (0.9.2-1): the debian/watch didn't change.
  * debian/watch: added tests to tar.(xz|bz2).

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 21 Oct 2013 15:46:52 -0200

sentinella (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Removed patch logind.patch. The upstream added it to
    source code. Thanks.
  * debian/copyright: updated upstream years.
  * debian/watch: added tests to tar.(xz|bz2).

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 14 Oct 2013 22:49:41 -0300

sentinella (0.9.1-4) unstable; urgency=low

  * Uploaded to unstable.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sat, 03 Aug 2013 22:41:43 -0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: sentinella
 Section: kde
 Priority: optional
-Maintainer: Niels Thykier <niels@thykier.net>
+Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
+Uploaders: Niels Thykier <niels@thykier.net>
 Build-Depends: cmake,
-               debhelper (>= 8~),
+               debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
                help2man,
                kdebase-workspace-dev (>= 4:4.4),
                kdelibs-bin (>= 4:4.4),
                kdelibs5-dev (>= 4:4.4),
                libsysactivity-dev (>= 0.6.2~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://sourceforge.net/projects/sentinella/
-Vcs-Git: git://git.debian.org/collab-maint/sentinella.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/sentinella.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/sentinella.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sentinella.git
 
 Package: sentinella
 Architecture: any
@@ -38,5 +39,3 @@
    - Execute a command
    - Play an alarm
    - Kill a process
-
-

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS)" \
+	dh_auto_configure -- -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CPPFLAGS) $(CFLAGS)" \
 				-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
 				-DCMAKE_MODULE_LINKER_FLAGS="$(LDFLAGS)" \
 				-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \

=== debian/watch ===
version=3
http://sf.net/sentinella/[sS]entinella-([\d\.]+)\.tar(?:\.bz2|\.gz|\.xz)
